Package: org.codehaus.groovy.ast

## [Java] Class ClassCodeVisitorSupport

- org.codehaus.groovy.ast.ClassCodeVisitorSupport

- All Implemented Interfaces and Traits:
    ErrorCollecting, GroovyClassVisitor

      public abstract class ClassCodeVisitorSupport
      extends CodeVisitorSupport

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addError(String error, ASTNode node)`
    `` | `protected SourceUnit` | `getSourceUnit()`
    `` | `protected void` | `visitAnnotation(AnnotationNode node)`
    `` | `void` | `visitAnnotations(AnnotatedNode node)`
    `` | `void` | `visitAssertStatement(AssertStatement statement)`
    `` | `void` | `visitBlockStatement(BlockStatement statement)`
    `` | `void` | `visitBreakStatement(BreakStatement statement)`
    `` | `void` | `visitCaseStatement(CaseStatement statement)`
    `` | `void` | `visitCatchStatement(CatchStatement statement)`
    `` | `void` | `visitClass(ClassNode node)`
    `` | `protected void` | `visitClassCodeContainer(Statement code)`
    `` | `void` | `visitConstructor(ConstructorNode node)`
    `` | `protected void` | `visitConstructorOrMethod(MethodNode node, boolean isConstructor)`
    `` | `void` | `visitContinueStatement(ContinueStatement statement)`
    `` | `void` | `visitDeclarationExpression(DeclarationExpression expression)`
    `` | `void` | `visitDoWhileLoop(DoWhileStatement statement)`
    `` | `void` | `visitExpressionStatement(ExpressionStatement statement)`
    `` | `void` | `visitField(FieldNode node)`
    `` | `void` | `visitForLoop(ForStatement statement)`
    `` | `void` | `visitIfElse(IfStatement statement)`
    `` | `void` | `visitImports(ModuleNode node)`
    `` | `void` | `visitMethod(MethodNode node)`
    `` | `protected void` | `visitObjectInitializerStatements(ClassNode node)`
    `` | `void` | `visitPackage(PackageNode node)`
    `` | `void` | `visitProperty(PropertyNode node)`
    `` | `void` | `visitReturnStatement(ReturnStatement statement)`
    `` | `protected void` | `visitStatement(Statement statement)`
    `` | `void` | `visitSwitch(SwitchStatement statement)`
    `` | `void` | `visitSynchronizedStatement(SynchronizedStatement statement)`
    `` | `void` | `visitThrowStatement(ThrowStatement statement)`
    `` | `void` | `visitTryCatchFinally(TryCatchStatement statement)`
    `` | `void` | `visitWhileLoop(WhileStatement statement)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class CodeVisitorSupport` | `afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Method Detail

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void addError(String error, ASTNode node)

    - #### protected SourceUnit getSourceUnit()

    - #### protected void visitAnnotation(AnnotationNode node)

    - #### public void visitAnnotations(AnnotatedNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitAssertStatement(AssertStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitBlockStatement(BlockStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitBreakStatement(BreakStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitCaseStatement(CaseStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitCatchStatement(CatchStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitClass(ClassNode node)

    - #### protected void visitClassCodeContainer(Statement code)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitConstructor(ConstructorNode node)

    - #### protected void visitConstructorOrMethod(MethodNode node, boolean isConstructor)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitContinueStatement(ContinueStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitDeclarationExpression(DeclarationExpression expression)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitDoWhileLoop(DoWhileStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitExpressionStatement(ExpressionStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitField(FieldNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitForLoop(ForStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitIfElse(IfStatement statement)

    - #### public void visitImports(ModuleNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitMethod(MethodNode node)

    - #### protected void visitObjectInitializerStatements(ClassNode node)

    - #### public void visitPackage(PackageNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitProperty(PropertyNode node)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitReturnStatement(ReturnStatement statement)

    - #### protected void visitStatement(Statement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitSwitch(SwitchStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitSynchronizedStatement(SynchronizedStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitThrowStatement(ThrowStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitTryCatchFinally(TryCatchStatement statement)

    - #### @com.github.javaparser.ast.expr.MarkerAnnotationExprOverride public void visitWhileLoop(WhileStatement statement)